<!DOCTYPE html>
<html lang="en" dir="ltr">
  <head>
    <meta charset="utf-8">
    <title>OpenID Connect Client Stub for AuRa</title>
    <style>
      #notLoggedIn, #authCode, #loggedIn {
        display: none;
      }
      #loggedIn>div {
        border: 1px dotted black;
        padding: 0.5em;
        margin: 1em 0;
        word-break: break-all;
      }
      #loggedIn>span, #loggedIn>div>span {
        font-family: monospace;
        font-weight: bold;
      }
      #loggedIn>div>span#expired_notice {
        display: none;
        color: #f00;
        font-family: inherit;
      }
    </style>
  </head>
  <body>
    <div>
      <h1>Debugging Settings</h1>
      Output debugging info to console and wait for manual forward at the
      callback page: <input type="checkbox" id="checkboxDebug">
    </div>
    <hr>

    <div>
      <h1>User Info</h1>
      <div id="notLoggedIn">
        You are not logged in yet. Initiatie a flow to log in.
      </div>
      <div id="authCode">
        You retrieved the following authorization code: <span id="access_code"></span><br>
        <button onclick="alert('todo!')">Exchange against access token</button>
      </div>
      <div id="loggedIn">
        Your user credentials are (retrieved <span id="token_retrieved"></span>):
        <div>
          Access token: <span id="access_token"></span><br>
          ID Token: <span id="id_token"></span> <small>
            (<a href="https://jwt.io/" target="_blank">jwt.io</a>)</small><br>
          User ID: <span id="user_id"></span><br>
          e-Mail: <span id="user_email"></span><br>
          Token expires: <span id="token_expires"></span>
            <span id="expired_notice">This token has already expired!</span><br>
        </div>
      </div>
    </div>
    <hr>

    <div>
      <h1>Available flows for logging in</h1>
      <button onclick="start_implicit()">Start implicit flow</button>
    </div>

    <script src="config.js"></script>
    <script src="steering/flow_stages.js"></script>
    <script src="steering/implicit.js"></script>
    <script src="main.js"></script>

  </body>
</html>
